Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NonPersistent()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class SetUnitPrice_PopUp
    Inherits BaseObject

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub
    Private _ImmovablesCostRecordMainGroup As ImmovablesCostRecordMainGroup
    Private _ImmovablesCostRecordGroup As ImmovablesCostRecordGroup
    Private _UnitPrice As Double

    Property ImmovablesCostRecordExcelMainGroup As ImmovablesCostRecordMainGroup
        Get
            Return _ImmovablesCostRecordMainGroup
        End Get
        Set(value As ImmovablesCostRecordMainGroup)
            SetPropertyValue("ImmovablesCostRecordMainGroup", _ImmovablesCostRecordMainGroup, value)
        End Set
    End Property
    <DataSourceCriteria("ImmovablesCostRecordMainGroup='@This.ImmovablesCostRecordExcelMainGroup'")> _
    Property ImmovablesCostRecordGroup As ImmovablesCostRecordGroup
        Get
            Return _ImmovablesCostRecordGroup
        End Get
        Set(value As ImmovablesCostRecordGroup)
            SetPropertyValue("ImmovablesCostRecordGroup", _ImmovablesCostRecordGroup, value)
        End Set
    End Property
    Property UnitPrice As Double
        Get
            Return _UnitPrice
        End Get
        Set(value As Double)
            SetPropertyValue("UnitPrice", _UnitPrice, value)
        End Set
    End Property
End Class
